<template>
  <!-- 修改违约规则信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">修改违约规则</span>
      <span class="a"></span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="171" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
 data(){
     return {
      form1: {},
  }
 },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑驳船作业
      this.axios
        .post("/api/v1/ams/selectBreachToUpdate/" + this.$route.params.breachId)
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
            // console.log(e);
            // console.log(this.form1);
            // console.log(this.$route.params.loadingId);
          });
        });
    },
    handleCheckedCitiesChange(value) {
      console.log(value);
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    currentRadioChange(row) {
      this.aaaa = row;
    },
    // 确认
    onClickConfirm() {
      let amsContractBreach = {
        breachId: this.$route.params.breachId,
        breachName: this.form1.breachName,
        breachValue: this.form1.breachValue,
      };
      console.log(amsContractBreach);
      this.axios
        .post(
          "/api/v1/ams/updateContractBreach",
          amsContractBreach
        )
        .then((res) => {
          console.log(res);
          console.log(this.form1);
          this.$router.go(-1);
        });
    },
  },
};
</script>
<style lang="scss" scoped>

</style>
